Skip to main content
POST
https://{tenantDomain}/api/v2
/
jobs
/
users-exports
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    jobs "github.com/auth0/go-auth0/management/jobs"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Jobs.UsersExports.Create(
        context.TODO(),
        &jobs.CreateExportUsersRequestContent{},
    )
}
{
  "status": "pending",
  "type": "users_export",
  "id": "job_0000000000000001",
  "created_at": "<string>",
  "connection_id": "con_0000000000000001",
  "format": "json",
  "limit": 5,
  "fields": [
    {
      "name": "<string>",
      "export_as": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

connection_id
string
default:con_0000000000000001

connection_id of the connection from which users will be exported.

Pattern: ^con_[A-Za-z0-9]{16}$
format
enum<string>

Format of the file. Must be json or csv.

Available options:
json,
csv
limit
integer
default:5

Limit the number of records.

Required range: x >= 1
fields
object[]

List of fields to be included in the CSV. Defaults to a predefined set of fields.

Response

Job created successfully.

status
string
default:pending
required

Status of this job.

type
string
default:users_export
required

Type of job this is.

id
string
default:job_0000000000000001
required

ID of this job.

created_at
string

When this job was created.

connection_id
string
default:con_0000000000000001

connection_id of the connection from which users will be exported.

Pattern: ^con_[A-Za-z0-9]{16}$
format
enum<string>

Format of the file. Must be json or csv.

Available options:
json,
csv
limit
integer
default:5

Limit the number of records.

Required range: x >= 1
fields
object[]

List of fields to be included in the CSV. Defaults to a predefined set of fields.